
import javax.swing.*;
import java.util.Calendar; 

public class Cronometro implements Runnable { 
	public Cronometro (JLabel label){
		etiqueta=label;
	}
	private JLabel etiqueta;
	private long tiempoInicial = 0;
	private int h = 0;
	private Thread hilo;
	
	public void init() { 
		tiempoInicial = System.currentTimeMillis(); 
		hilo = new Thread( this ); 
		hilo.start(); 
	} 
	
	public void run() { 
		Calendar tiempo = Calendar.getInstance(); 
		while (true) {
	
			tiempo.setTimeInMillis( System.currentTimeMillis() - tiempoInicial );
			if(tiempo.get(Calendar.MINUTE) == 59 && tiempo.get(Calendar.SECOND) == 59)
				h++;
	
			etiqueta.setText("Tiempo "+h+ ":" +tiempo.get(Calendar.MINUTE ) + ":" + tiempo.get( Calendar.SECOND )); 
		} 
	}

	public void stop() {
		hilo.stop();
		hilo.destroy();		
	} 
}
